Bug 761517 - (CVE-2011-4601) CVE-2011-4601 pidgin (libpurple): Invalid UTF-8 string handling in OSCAR messages
CVE-2011-4601 pidgin (libpurple): Invalid UTF-8 string handling in OSCAR mess...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20111210,repor...
: Security
Depends On: 766449 766450 766451 766452 766453 766454 833969 839013
Blocks: 761529
  Show dependency treegraph
 
Reported: 2011-12-08 09:15 EST by Jan Lieskovsky
Modified: 2015-11-24 09:43 EST (History)
4 users (show)

See Also:
Fixed In Version: pidgin 2.10.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-14 14:31:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-12-08 09:15:13 EST
An out-of heap-based buffer read flaw was found in the way OSCAR (Open System for CommunicAtion in Realtime) protocol plug-in of Pidgin, a Gtk+ based multiprotocol instant messaging client, processed authorization denied messages, containing non-UTF-8 sequences. If a rogue server sent a specially-crafted authorization denied message, it could lead to denial of service (Pidgin crash).

Reference:
http://pidgin.im/news/security/?id=57
Patch: http://developer.pidgin.im/viewmtn/revision/info/757272a78a8ca6027d518e614712c3399e34dda3
Comment 1 Jan Lieskovsky 2011-12-08 09:18:13 EST
This issue affects the versions of the pidgin package, as shipped with Red Hat Enterprise Linux 4, 5, and 6.

--

This issue affects the versions of the pidgin package, as shipped with Fedora release of 15 and 16.
Comment 3 Jan Lieskovsky 2011-12-08 09:20:53 EST
Acknowledgements:

Red Hat would like to thank the Pidgin project for reporting these issues.
Upstream acknowledges Evgeny Boger as the original reporter.
Comment 7 Huzaifa S. Sidhpurwala 2011-12-12 00:03:03 EST
Created pidgin tracking bugs for this issue

Affects: fedora-all [bug 766454]
Comment 8 errata-xmlrpc 2011-12-14 14:06:12 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1821 https://rhn.redhat.com/errata/RHSA-2011-1821.html
Comment 9 errata-xmlrpc 2011-12-14 14:06:19 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2011:1820 https://rhn.redhat.com/errata/RHSA-2011-1820.html
Comment 10 Fedora Update System 2012-01-05 15:54:34 EST
pidgin-2.10.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-01-07 17:58:50 EST
pidgin-2.10.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.